## org.apache.poi.hslf.record
Class ExObjListAtom

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordAtom
              org.apache.poi.hslf.record.ExObjListAtom

    public class ExObjListAtom

extends RecordAtom

Tne atom that holds the seed info used by a ExObjList

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `ExObjListAtom()` Constructs a brand new link related atom record.
`protected` `ExObjListAtom(byte[] source, int start, int len)` Constructs the link related atom record from its source data.

Method Summary
`long` `getObjectIDSeed()` Gets the object ID seed, which will be used as the unique OLE identifier for the next OLE object added
`long` `getRecordType()` Gets the record type.
`void` `setObjectIDSeed(int seed)` Sets the object ID seed
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.RecordAtom
`getChildRecords, isAnAtom`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExObjListAtom

    protected ExObjListAtom()

  Constructs a brand new link related atom record.

### ExObjListAtom

    protected ExObjListAtom(byte[] source,
                            int start,
                            int len)

  Constructs the link related atom record from its source data.

  Parameters:
    `source` - the source data as a byte array.
    `start` - the start offset into the byte array.
    `len` - the length of the slice in the byte array.

Method Detail

### getObjectIDSeed

    public long getObjectIDSeed()

  Gets the object ID seed, which will be used as the unique OLE identifier for the next OLE object added

  Returns:
    the object ID seed

### setObjectIDSeed

    public void setObjectIDSeed(int seed)

  Sets the object ID seed

  Parameters:
    `seed` - the new ID seed

### getRecordType

    public long getRecordType()

  Gets the record type.

  Specified by:
    `getRecordType` in class `Record`
  Returns:
    the record type.

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Parameters:
    `out` - the output stream to write to.
  Throws:
    `java.io.IOException` - if an error occurs.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.